python
class Employee:
def __init__(self, name, position, salary):
self.name = name
self.position = position
self.salary = salary

def display_info(self):
print(f"Имя: {self.name}")
print(f"Должность: {self.position}")
print(f"Зарплата: {self.salary}")

def calculate_total_salary(employees):
total_salary = 0
for employee in employees:
total_salary += employee.salary
return total_salary

def find_highest_paid_employee(employees):
max_salary = 0
highest_paid_employee = None
for employee in employees:
if employee.salary > max_salary:
max_salary = employee.salary
highest_paid_employee = employee
return highest_paid_employee

employees = []
while True:
print("\n1. Добавить сотрудника")
print("2. Просмотреть список сотрудников")
print("3. Рассчитать общую зарплату")
print("4. Найти сотрудника с самой высокой зарплатой")
print("5. Выход")

choice = input("Выберите действие: ")

if choice == '1':
name = input("Введите имя сотрудника: ")
position = input("Введите должность сотрудника: ")
salary = float(input("Введите зарплату сотрудника: "))

employee = Employee(name, position, salary)
employees.append(employee)

elif choice == '2':
print("\nСписок сотрудников:")

for employee in employees:
employee.display_info()

elif choice == '3':
total_salary = calculate_total_salary(employees)
print(f"\nОбщая зарплата сотрудников: {total_salary}")

elif choice == '4':
highest_paid_employee = find_highest_paid_employee(employees)
if highest_paid_employee is not None:
print("\nСотрудник с самой высокой зарплатой:")
highest_paid_employee.display_info()

elif choice == '5':
break
